Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class EPPEnvSingle

    java.lang.Object
      com.verisign.epp.util.Environment
          com.verisign.epp.util.EPPEnv
              com.verisign.epp.util.EPPEnvSingle

    public class EPPEnvSingle

extends EPPEnv

Singleton class for `EPPEnv` that is used to get the configuration settings for the EPP SDK.

Field Summary

Fields inherited from class com.verisign.epp.util.EPPEnv
`LOG_BASIC, LOG_CFG_FILE, LOG_CUSTOM, POOLMAN_CLIENT_PREFIX, POOLMAN_SERVER_PREFIX`

Fields inherited from class com.verisign.epp.util.Environment
`properties`

Method Summary
`static EPPEnvSingle` | `getInstance()` Method to get the Singleton instance of `EPPEnvSingle`.

Methods inherited from class com.verisign.epp.util.EPPEnv
`getClientHost, getClientParserDebug, getClientParserInitObjs, getClientParserLogFile, getClientParserMaxSize, getClientParserMaxSoft, getClientParserMinSize, getClientParserObjTimeout, getClientParserShrinkBy, getClientParserSkimmerFreq, getClientParserUserTimeout, getClientSocketName, getCmdResponseExtensions, getConTimeOut, getFullSchemaChecking, getGreetingServerName, getKeyStore, getLogCfgFile, getLogCfgFileWatch, getLogFile, getLogLevel, getLogMode, getMapFactories, getPollHandlers, getProtocolExtensions, getProxyServerLocator, getProxyServers, getProxyServersRandomize, getServerEPPAssembler, getServerEventHandlers, getServerName, getServerParserDebug, getServerParserInitObjs, getServerParserLogFile, getServerParserMaxSize, getServerParserMaxSoft, getServerParserMinSize, getServerParserObjTimeout, getServerParserShrinkBy, getServerParserSkimmerFreq, getServerParserUserTimeout, getServerPort, getServerSocketName, getSSLDebug, getSSLEnabledCipherSuites, getSSLEnabledProtocols, getSSLKeyFileName, getSSLKeyManager, getSSLKeyPassPhrase, getSSLPassPhrase, getSSLProtocol, getSSLTrustStoreFileName, getSSLTrustStorePassPhrase, getValidating, initialize, initialize`

Methods inherited from class com.verisign.epp.util.Environment
`envInitialize, envInitialize, getEnv, getOption, getProperty, getProperty, setProperties, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EPPEnvSingle getInstance()

  Method to get the Singleton instance of `EPPEnvSingle`.

  Returns:
    an instance of `EPPEnvSingle`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.